Subject: bug#27267: 25.1; ffap-file-at-point erroneously returns "" in some cases

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 21 Jul 2019 19:48:43 +0200

Alex <[email-masked]> writes:

> Execute ffap-file-at-point with the following buffer contents (| for
> cursor position):
>
> 7:|
>
> The result is "", which leads to ffap's default input being ~ (not ~/ as
> expected).

I get

(ffap-file-at-point)
=> "/home/larsi/"

so this seems like it's fixed.

>
> Similarly, try ffap-file-at-point on:
>
> :6|
>
> This is due to ffap-file-at-point stripping off the colon and numbers,
> and sending "" to ffap-file-exists-string. (file-exists-p "") returns t,
> so ffap-file-at-point treats "" as an existent file.

I get nil from that in the Emacs trunk, which seems correct, so I guess
this has been fixed to, and I'm closing this bug report.  Please reopen
if this is still present on the trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no